<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    include "../mail.php";
    date_default_timezone_set('America/Sao_Paulo');
    $hora = date('Y-m-d H:i:s', time());
    $user = $_SESSION['usuarioLogin'];
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $cod_m = isset($_POST["cod_m"]) ? $_POST["cod_m"]: '';
    $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
    $modelo = isset($_POST["modelo"]) ? $_POST["modelo"]: '';
    $nserie = isset($_POST["nserie"]) ? $_POST["nserie"]: '';
    $daquise = isset($_POST["daquise"]) ? $_POST["daquise"]: '';
    $daquise = date('Y-m-d', strtotime(str_replace('/','-',$daquise)));
    $garantia = isset($_POST["garantia"]) ? $_POST["garantia"]: '';
    $garantia = date('Y-m-d', strtotime(str_replace('/','-',$garantia)));
    $loja = isset($_POST["loja"]) ? $_POST["loja"]: '';
    $nnota = isset($_POST["nnota"]) ? $_POST["nnota"]: '';
    $valor = isset($_POST["valor"]) ? $_POST["valor"]: '';
    $valor_ = str_replace(',','.',str_replace('.','',$valor));
    $nptri = isset($_POST["nptri"]) ? $_POST["nptri"]: '';
    $desc_tex_area = $_POST['desc_tex_area'];
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $envia_email = 0;
    $envia_email_u = 0;
    $emailcormpo = '<html><body>';
    $emailcormpo .= '<h2 style="color:#000000;">Alteração - Monitor!</h2>';
    $busca_m = $pdo_sgt->prepare("SELECT * FROM tb_monitores WHERE id=:id");
    $busca_m->bindValue(":id",$id);
    $busca_m->execute();
    $dados_m = $busca_m->fetch(PDO::FETCH_ASSOC);
    $ant_unid_1_m = $dados_m['unidade'];
    if($ant_unid_1_m != $unidade){
        $busca_unid_1 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:ant_unid_1_m");
        $busca_unid_1->bindValue(":ant_unid_1_m",$ant_unid_1_m);
        $busca_unid_1->execute();
        $dados_unid_1 = $busca_unid_1->fetch(PDO::FETCH_ASSOC);
        $ant_unid_1_m = $dados_unid_1['unidade'];
        $ant_email_1_email = $dados_unid_1['email_pt1'];
        $ant_email_1_nome = $dados_unid_1['nome_pt1'];
        $ant_email_2_email = $dados_unid_1['email_pt2'];
        $ant_email_2_nome = $dados_unid_1['nome_pt2'];
        $busca_unid_2 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
        $busca_unid_2->bindValue(":unidade",$unidade);
        $busca_unid_2->execute();
        $dados_unid_2 = $busca_unid_2->fetch(PDO::FETCH_ASSOC);
        $nov_unid_2_m = $dados_unid_2['unidade'];
        $email_1_email = $dados_unid_2['email_pt1'];
        $email_1_nome = $dados_unid_2['nome_pt1'];
        $email_2_email = $dados_unid_2['email_pt2'];
        $email_2_nome = $dados_unid_2['nome_pt2'];
        $des_oc = "Foi alterado de unidade de ".$ant_unid_1_m." para ".$nov_unid_2_m.".";
        $query_oc = "INSERT INTO tb_oc_mon (dt,user_nome,cod_m,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
        $oc_mon_set = $pdo_sgt->prepare($query_oc);
        $oc_mon_set->bindValue(":hora",$hora);
        $oc_mon_set->bindValue(":user",$user);
        $oc_mon_set->bindValue(":id",$id);
        $oc_mon_set->bindValue(":tipo",'3');
        $oc_mon_set->bindValue(":des_oc",$des_oc);
        $oc_mon_set->execute();
        $envia_email = 1;
        $envia_email_u = 1;
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">O monitor '.$dados_m['cod_m'].' foi alterado de unidade.</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade anterior: '.$ant_unid_1_m.'</p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade atual: '.$nov_unid_2_m.'</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
    }
    $query_ = "UPDATE tb_monitores "
            . "SET unidade=:unidade,modelo=:modelo,nserie=:nserie,daquise=:daquise,garantia=:garantia,loja=:loja,nnota=:nnota,valor=:valor,nptri=:nptri,desc_mon=:desc_mon,ativo=:ativo "
            . "WHERE id=:id";
    $atualizar=$pdo_sgt->prepare("$query_");
    $atualizar->bindValue(":unidade",$unidade);
    $atualizar->bindValue(":modelo",$modelo);
    $atualizar->bindValue(":nserie",$nserie);
    $atualizar->bindValue(":daquise",$daquise);
    $atualizar->bindValue(":garantia",$garantia);
    $atualizar->bindValue(":loja",$loja);
    $atualizar->bindValue(":nnota",$nnota);
    $atualizar->bindValue(":valor",$valor_);
    $atualizar->bindValue(":nptri",$nptri);
    $atualizar->bindValue(":desc_mon",$desc_tex_area);
    $atualizar->bindValue(":ativo",$ativo);
    $atualizar->bindValue(":id",$id);
    $atualizar->execute();
    $mensagem = "Dados alterados na tabela: tb_monitores - "
        . "Para os campos: unidade, modelo, nserie, daquise, garantia, loja, nnota, valor, nptri, desc_mon, ativo - "
        . "Com os seguintes valores: $unidade, $modelo, $nserie, $daquise, $garantia, $loja, $nnota, $valor_, $nptri, $desc_tex_area, $ativo";
    salvaLog($mensagem);
    if($envia_email != 0){
        # Define os destinatário(s)
        if($envia_email_u != 0){
            $mail->AddAddress("$email_1_email", "$email_1_nome");
            if ($email_2_email  != "" && $email_2_nome != "" ){
                $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
            }
            $mail->AddCC("$ant_email_1_email", "$ant_email_1_nome");
            if ($ant_email_2_email  != "" && $ant_email_2_nome != "" ){
                $mail->AddCC("$ant_email_2_email", "$ant_email_2_nome"); # Copia
            }
        } else {
            $busca_unid_email = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
            $busca_unid_email->bindValue(":unidade",$unidade);
            $busca_unid_email->execute();
            $dados_unid_email = $busca_unid_email->fetch(PDO::FETCH_ASSOC);
            $email_1_email = $dados_unid_email['email_pt1'];
            $email_1_nome = $dados_unid_email['nome_pt1'];
            $email_2_email = $dados_unid_email['email_pt2'];
            $email_2_nome = $dados_unid_email['nome_pt2'];
            $mail->AddAddress("$email_1_email", "$email_1_nome");
            if ($email_2_email  != "" && $email_2_nome != "" ){
                $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
            }
        }
        #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
        #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
        #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
        # Define os dados técnicos da Mensagem
        $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
        #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
        # Define a mensagem (Texto e Assunto)
        // Compo E-mail
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">Confira as informações <a href="'.$sgturl.'qr/qrm.php?cod_m='.$dados_m['cod_m'].'">'.$dados_m['cod_m'].'</a>.</p>';
        $emailcormpo .= '</body></html>';
        $mail->Subject = utf8_decode("Mudança Patrimonio - SGT"); # Assunto da mensagem
        $mail->Body = utf8_decode("$emailcormpo");
        $mail->AltBody = utf8_decode("$emailcormpo");
        # Define os anexos (opcional)
        #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
        # Envia o e-mail
        $enviado = $mail->Send();
        # Limpa os destinatários e os anexos
        $mail->ClearAllRecipients();
        $mail->ClearAttachments();
    }
    echo"<script language='javascript' type='text/javascript'>
        window.location.href='list_mon.php';
    </script>";
?>